-----------------------------------------------------------------------------
-- Module: @(#)tableselect.sql  1.0     Date: 2020/05/18
-- Author: Lester Knutsen  Email: lester@advancedatatools.com
--         Advanced DataTools Corporation
-- Description: New Table Information Script - Unload the output to a file
--      Tested with Informix 11.70 and Informix 12.10, 14.10
-----------------------------------------------------------------------------
database sysmaster;

unload to all_tableinfo.uld
select
        systabnames.dbsname      database,
        systabnames.tabname      tabname,
        ( dbinfo('dbspace', ti_partnum )) dbspace,
        systabnames.partnum,
        ti_rowsize   row_size,
        ti_pagesize  page_size,
        ti_nptotal   pages_total,
        ti_npused       pages_used,
        ti_npdata       pages_data,
        ( ti_npdata * ti_pagesize ) total_bytes
from systabnames, systabinfo, outer sysptprof
where   systabinfo.ti_partnum = systabnames.partnum
and     systabinfo.ti_partnum = sysptprof.partnum
and     systabnames.dbsname not in ( "sysmaster", "sysuser", "sysutils", "sysadmin" )
and     systabnames.tabname not in ( select tabname from systables where tabid <=99 )
and     ti_npdata > 0 -- remove partitions with no data pages
and	( ti_npdata * ti_pagesize ) > 1000000000
order by total_bytes desc;

unload to smalltables.uld
select
        systabnames.dbsname      database,
        systabnames.tabname      tabname,
        ( dbinfo('dbspace', ti_partnum )) dbspace,
        ( ti_npdata * ti_pagesize ) total_bytes
from systabnames, systabinfo, outer sysptprof
where   systabinfo.ti_partnum = systabnames.partnum
and     systabinfo.ti_partnum = sysptprof.partnum
and     systabnames.dbsname not in ( "sysmaster", "sysuser", "sysutils", "sysadmin" )
and     systabnames.tabname not in ( select tabname from systables where tabid <=99 )
and     ti_npdata > 0 -- remove partitions with no data pages
and	( ti_npdata * ti_pagesize ) < 1000000000
order by total_bytes desc;

unload to largetables.uld
select
        systabnames.dbsname      database,
        systabnames.tabname      tabname,
        ( dbinfo('dbspace', ti_partnum )) dbspace,
        ( ti_npdata * ti_pagesize ) total_bytes
from systabnames, systabinfo, outer sysptprof
where   systabinfo.ti_partnum = systabnames.partnum
and     systabinfo.ti_partnum = sysptprof.partnum
and     systabnames.dbsname not in ( "sysmaster", "sysuser", "sysutils", "sysadmin" )
and     systabnames.tabname not in ( select tabname from systables where tabid <=99 )
and     ti_npdata > 0 -- remove partitions with no data pages
and	( ti_npdata * ti_pagesize ) >= 1000000000
order by total_bytes desc;


