-- #############################################################################
-- ## Module: @(#)mk_external_tables.sql      1.0     Date: 2020/05/18
-- ## Author: Lester Knutsen  Email: lester@advancedatatools.com
-- ##         Advanced DataTools Corporation
-- #############################################################################

-- #############################################################################
-- Script to create a external table for each table in the database for load/unloads
-- Run this for each database you need to migrate
-- #############################################################################

unload to "create_external_tables.sql" 
delimiter ";"
select "create external table _ext_" || trim(tabname) || " sameas " || trim(tabname) || " " ||
"using ( " ||
"DATAFILES('DISK:/tmp/" || trim(tabname) || ".uld'), " || 
"FORMAT 'INFORMIX'," ||
"REJECTFILE '/tmp/" || trim(tabname) || ".reject'" ||
") " 
from systables 
where tabid > 99
and tabtype ="T";

