-- #############################################################################
-- ## Module: @(#)mk_unloads.sql      1.0     Date: 02/14/2018
-- ## Author: Lester Knutsen  Email: lester@advancedatatools.com
-- ##         Advanced DataTools Corporation
-- #############################################################################

-- #############################################################################
-- Scrip to generate unload to external table statements 
-- #############################################################################
output to "unload_small_tables.sql" without headings
select "insert into _ext_" || trim(tabname) || " select * from " || trim(tabname) || ";" 
from systables 
where tabid > 99
and tabtype ="T"
and tabname in ( select tabname 
		from sysmaster:systabnames, sysmaster:systabinfo
		where sysmaster:systabinfo.ti_partnum = sysmaster:systabnames.partnum
		and ( ti_npdata * ti_pagesize ) < 1000000000
		and dbsname = ( select dbinfo('dbname') from systables where tabid =1 ))
;
		

output to "unload_big_tables.sql" without headings
select "insert into _ext_" || trim(tabname) || " select * from " || trim(tabname) || ";" 
from systables 
where tabid > 99
and tabtype ="T"
and tabname in ( select tabname 
		from sysmaster:systabnames, sysmaster:systabinfo
		where sysmaster:systabinfo.ti_partnum = sysmaster:systabnames.partnum
		and ( ti_npdata * ti_pagesize ) >= 1000000000
		and dbsname = ( select dbinfo('dbname') from systables where tabid =1 ))
;

