-- #############################################################################
-- ## Module: @(#)mk_loads.sql      1.0     Date: 02/14/2018
-- ## Author: Lester Knutsen  Email: lester@advancedatatools.com
-- ##         Advanced DataTools Corporation
-- #############################################################################

-- #############################################################################
-- Script to generate load from External table statements
-- #############################################################################

output to "load_small_tables.sql" without headings
select "insert into " || trim(tabname) || " select * from _ext_" || trim(tabname) || ";" 
from systables 
where tabid > 99
and tabtype ="T"
and tabname in ( select tabname
                from sysmaster:systabnames, sysmaster:systabinfo
                where sysmaster:systabinfo.ti_partnum = sysmaster:systabnames.partnum
                and ( ti_npdata * ti_pagesize ) < 1000000000
		and dbsname = ( select dbinfo('dbname') from systables where tabid =1 ))
;

output to "load_bigl_tables.sql" without headings
select "insert into " || trim(tabname) || " select * from _ext_" || trim(tabname) || ";" 
from systables 
where tabid > 99
and tabtype ="T"
and tabname in ( select tabname
                from sysmaster:systabnames, sysmaster:systabinfo
                where sysmaster:systabinfo.ti_partnum = sysmaster:systabnames.partnum
                and ( ti_npdata * ti_pagesize ) >= 1000000000
		and dbsname = ( select dbinfo('dbname') from systables where tabid =1 ))
;


